.main-header {
  background: var(--Blue-Gradient,
      linear-gradient(90deg,
        var(--color-blue-90, #102668) 0%,
        var(--surface-brand-secondary-default, #3151ac) 100%));
  padding: 32px 64px;
  align-self: stretch;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-container {
  width: 100%;
  max-width: 1280px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo img {
  display: inline-flex;
  align-items: center;
  gap: 32px;
}

.nav-list {
  list-style: none;
  display: flex;
  flex-direction: row;
  gap: 32px;
  margin: 0;
  padding: 0;
}

.nav-list p {
  color: var(--color-neutro-0);
}

.header-country-selector {
  display: flex;
  width: 450px;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  position: relative;
}

.input-group {
  display: flex;
  width: 100%;
  padding: 8px 16px;
  align-items: center;
  gap: 16px;
  border-radius: 8px;
  background: var(--color-neutro-0);
  justify-content: space-between;
  border: none;
  outline: none;
  cursor: pointer;
}

#country-input {
  border: none;
  background: transparent;
  outline: none;
  width: 100%;

  color: var(--text-default);
}

.header-country-selector.active #country-list {
  display: block;
  /* Or however you toggle visibility */
}

.search-input {
  display: flex;
  flex-direction: row;
  gap: 8px;
  width: 100%;
}

.icon-search,
.icon-arrow {
  display: flex;
  align-items: center;
  color: var(--color-neutro-100);
}


.country-dropdown-index {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: white;
  border: 1px solid #ccc;
  z-index: 1000;
  max-height: 300px;
  overflow-y: auto;
  border-radius: 8px;
  cursor: pointer;
}

.header-country-selector.active .country-dropdown-index {
  display: block;
}

.header-country-selector {
  position: relative;
}

.country-item-index {
  display: flex;
  padding: 8px 16px;
  gap: 8px;
}

/* Estilo para a seta rodar (opcional) */
.header-country-selector.active .icon-arrow svg {
  transform: rotate(180deg);
  transition: transform 0.2s;
}

.country-item-index:hover {
  background-color: var(--surface-primary);
}

.hidden-DM,
.hidden-DT {
  display: none;
}

/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/


@media (max-width: 1152px) {


  .header-container-tablet {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;
  }


  .menu-logo-content {
    display: flex;
    flex-direction: row;
    gap: 24px;
    align-items: center;
  }

  .main-header {
    padding: 24px;
  }

  .hidden-TM,
  .hidden-DT {
    display: none !important;
  }

  .hidden-DM {
    display: flex !important;
  }

}


@media (max-width: 768px) {
  .nav-list {
    gap: 16px;
  }

  .hidden-TM,
  .hidden-DM {
    display: none !important;
  }

  .hidden-DT {
    display: flex !important;
  }

  .header-container-mobile {
    flex-direction: column;
    gap: 16px;
    width: 100%;
  }

  .menu-logo-content {
    width: 100%;
    gap: 0;
    justify-content: space-between;
  }

  .header-country-selector {
    width: 100%;
  }

  .main-header {
    padding: 16px;
  }

}